<?php

namespace App\Repositories\Interfaces;

use Illuminate\Http\Request;

interface ArtistInterface
{
    public function list(Request $request);
    public function find($id);
    public function store(Request $request, $profile_pic = null, $tagIdsString = null);
    public function update($id, array $data);
    public function delete($id);
    public function getAllActive();

}
